summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorZachary Michaels2015-07-05 02:01:01 -0400
committerZachary Michaels2015-07-05 02:01:01 -0400
commitdb01279409b0ce40644a649c8bb7f4e50274740c (patch)
tree470b5e82f47c01da2cb598787609ed15fdac5d9a
downloadaur-db01279409b0ce40644a649c8bb7f4e50274740c.tar.gz
AUR4
-rw-r--r--.SRCINFO25
-rw-r--r--10-mtrack.conf5
-rw-r--r--PKGBUILD49
-rw-r--r--xf86-input-mtrack-git.install11
4 files changed, 90 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e3a64daba69
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,25 @@
+pkgbase = xf86-input-mtrack-git
+ pkgdesc = A multitouch X driver using the kernel MT protocol
+ pkgver = 0.3.1.r1.g56f9831
+ pkgrel = 1
+ url = http://github.com/BlueDragonX/xf86-input-mtrack
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = git
+ makedepends = xorg-server-devel
+ makedepends = resourceproto
+ makedepends = glproto
+ depends = mtdev
+ depends = libxss
+ provides = xf86-input-mtrack
+ conflicts = xf86-input-mtrack
+ conflicts = xf86-input-synaptics
+ backup = usr/share/X11/xorg.conf.d/10-mtrack.conf
+ source = xf86-input-mtrack::git+https://github.com/BlueDragonX/xf86-input-mtrack.git
+ source = 10-mtrack.conf
+ md5sums = SKIP
+ md5sums = ffb540330d92957e0da28af5a005136e
+
+pkgname = xf86-input-mtrack-git
+
diff --git a/10-mtrack.conf b/10-mtrack.conf
new file mode 100644
index 00000000000..4a4607a9c8f
--- /dev/null
+++ b/10-mtrack.conf
@@ -0,0 +1,5 @@
+Section "InputClass"
+ MatchIsTouchpad "on"
+ Identifier "Touchpads"
+ Driver "mtrack"
+EndSection
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..dbaa6c32a6a
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,49 @@
+# Maintainer: Zach <mikezackles@gmail.com>
+# Contributor: James An <james@jamesan.ca>
+
+_pkgname=xf86-input-mtrack
+pkgname="$_pkgname-git"
+pkgver=0.3.1.r1.g56f9831
+pkgrel=1
+pkgdesc="A multitouch X driver using the kernel MT protocol"
+arch=('i686' 'x86_64')
+url="http://github.com/BlueDragonX/$_pkgname"
+license=('GPL')
+depends=('mtdev' 'libxss')
+makedepends=('git' 'xorg-server-devel' 'resourceproto' 'glproto')
+provides=("$_pkgname")
+conflicts=("$_pkgname" 'xf86-input-synaptics')
+backup=('usr/share/X11/xorg.conf.d/10-mtrack.conf')
+options=()
+install=xf86-input-mtrack-git.install
+source=(
+ "$_pkgname"::"git+https://github.com/BlueDragonX/$_pkgname.git"
+ 10-mtrack.conf
+)
+md5sums=(
+ 'SKIP'
+ ffb540330d92957e0da28af5a005136e
+)
+
+pkgver() {
+ cd "$srcdir/$_pkgname"
+ ( set -o pipefail
+ git describe --long --tags | sed -r 's/([^-]*-g)/r\1/;s/-/./g;s/^[^0-9]*//' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$_pkgname"
+
+ autoreconf --install
+ ./configure --prefix=/usr
+ make
+}
+
+package() {
+ cd "$_pkgname"
+
+ make DESTDIR="$pkgdir" install
+ install -Dm644 "$srcdir/10-mtrack.conf" "$pkgdir/usr/share/X11/xorg.conf.d/10-mtrack.conf"
+}
diff --git a/xf86-input-mtrack-git.install b/xf86-input-mtrack-git.install
new file mode 100644
index 00000000000..72e09a48fc6
--- /dev/null
+++ b/xf86-input-mtrack-git.install
@@ -0,0 +1,11 @@
+post_install() {
+cat << EOF
+Note that you may need to add yourself to the input group:
+
+sudo gpasswd -a <Yourusername> input
+
+The config file is:
+
+/usr/share/X11/xorg.conf.d/10-mtrack.conf
+EOF
+}